#ifndef __DEVICESHPP__
#define __DEVICESHPP__

#include <cstring>

#define DEVNUM 12

static char *devnames[] =
{"SC", "NC", "D", "SP", "SS", "K", "M", "P", "LS", "CP", "MP", "EB"};

enum DeviceType { // upto 256 types of devices
	SCANNER       = 0x00,
	NETWRK_CAMERA = 0x01,
	OH_DISPLAY    = 0x02,
	PRINTER       = 0x03,
	SPEAKER       = 0x04,
	SMART_STORAGE = 0x05,
	KBD           = 0x06,
	MOUSE         = 0x07,
	LCD_SCREEN    = 0x08,
	CD_PLAYER     = 0x09,
	MP3_PLAYER    = 0x0a,
	E_BOOK        = 0x0b,
	USER_PDA      = 0x0c,
	UNKNOWN       = 0xff,
};


const char *print_devtype(DeviceType);
DeviceType sttodev(const char *);

#endif
